local Talents = require("engine.interface.ActorTalents")

newEntity{
	define_as = "BASE_NPC_HUMAN",
	body = { INVEN = 10, MAINHAND = 1, HEAD = 1, CYBERWARE = 4, BELT = 1,}, 
	type = "Terran", subtype = "human",
	display = "h", color=colors.WHITE,
	desc = [[Just a regular everyday normal guy.]],

	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	stats = { str=5, dex=5, int=5, con=5 },
	combat_armor = 0,
}

newEntity{ base = "BASE_NPC_HUMAN",
	name = "outlaw", color=colors.GREEN,
	level_range = {1, 4}, exp_worth = 1,
--	rarity = 4,
	max_stamina = 0,
	max_life = resolvers.rngavg(5,9),
	combat = { dam=2 },
}

newEntity{ base = "BASE_NPC_HUMAN",
	name = "gunman", color=colors.RED,
	level_range = {1, 6}, exp_worth = 1,
	rarity = 8,
	max_stamina = 0,
	max_life = resolvers.rngavg(5,9),
	combat = { dam=2 },
	resolvers.equip{
			{type="weapon", subtype="gun", name="pistol", ego_chance=-1000},},
	resolvers.talents{
		[Talents.T_SHOOT]={base=1, every=1, max=1},
	},
	
}

newEntity{ base = "BASE_NPC_HUMAN",
	name = "outlaw captain", color=colors.AQUAMARINE,
	level_range = {6, 10}, exp_worth = 1,
	rarity = 4,
	max_stamina = resolvers.rngavg(2,6),
	max_life = resolvers.rngavg(10,12),
	combat_armor = 3,
	combat = { dam=5 },
	resolvers.equip{
			{type="weapon", subtype="gun", name="rifle", ego_chance=-1000},},
	resolvers.talents{
		[Talents.T_SHOOT]={base=1, every=1, max=1},
	},

}