local q = game.player:hasQuest("engineer")

if not q:isCompleted("talked") then
newChat{ id="first",
	text = [[What is it? My time is short.]],
	answers = {
		{[[I'm looking to hire an engineer.]], jump="hire"},
		{[[Nothing.]]},
	},
}

newChat{ id="hire",
	text = [[Ah yes, but that was a lifetime ago.]],
	answers = {
		{[[I heard you were the best.]], jump="best"},
	},
}

newChat{ id="best",
	text = [[#LIGHT_GREEN#*He smiles.*#WHITE# Perhaps, but it was so long ago.]],
	answers = {
		{[[I will pay what ever you want.]], jump="money"},
		{[[I see. Sorry to have wasted your time.]], jump="waste"},
	},
}

newChat{ id="money",
	text = [[#LIGHT_GREEN#*He laughs.*#WHITE# Money is no object for me. Tell you what, if you recover data disk for me, I'll be happy to join your crew.]],
	answers = {
		{[[Tell me more.]], jump="quest"},
	},
}

newChat{ id="wait",
	text = [[Wait! If you can recover a data disk for me, I'll join your crew.]],
	answers = {
		{[[I'm listening.]], jump="quest"},
	},
}

newChat{ id="quest",
	text = [[The Earth First Society has stolen an object of great importance from me. They have an armed camp a few miles north-east of here.]],
	answers = {
-- Later I'll add questions about the EFS. Most people think they are just a biogoted organization. How do they have military.
--		{[[I may help, but I have a few questions.]], jump="questions"},
		{[[Sure thing!]], action=function(npc, player) game.player:setQuestStatus("engineer", engine.Quest.COMPLETED, "talked") end},
		{[[Actually, I may have found it already."]], 
		cond = function(npc, player)
			return player:hasQuest("engineer"):isComplete("pickup")
		end,
		action = function(npc, player)
			local o, item, inven_id = player:findInAllInventories("old data disk")
			player:removeObject(inven_id, item, true)
			o:removed()

			player:setQuestStatus("engineer", engine.Quest.DONE)
		end},

		{[[I'm sorry, I cannot aid you at this time.]]},
	},
}

else

newChat{ id="first",
	text = [[Well, have you found the disk yet?]],
	answers = {
		{[[Here it is.]],
		cond = function(npc, player)
			if player:hasQuest("engineer"):isCompleted("found") or player:hasQuest("engineer"):isCompleted("pickup") then return true end
		end,
		action = function(npc, player)
			local o, item, inven_id = player:findInAllInventories("old data disk")
			player:removeObject(inven_id, item, true)
			o:removed()

			player:setQuestStatus("engineer", engine.Quest.DONE)
		end},
		{[[Sorry, no.]]}
	},
}

end

return "first"