load("/data/talents/base.lua")
load("/data/talents/combat.lua")
load("/data/talents/snipe.lua")

newTalentType{ type="generic", name = "generic", description = "Talents used by all classes." }

newTalent{
	name = "Throw Grenade",
	type = {"generic", 1},
	points = 1,
	cooldown = 3,
	stamina = 2,
	action = function(self, t)
		self:grenadeAttack(t)
	end,
	info = function(self, t)
		return "Throws a grenade."
	end,
}

newTalent{
	name = "Shoot",
	type = {"generic", 1},
	points = 1,
	action = function(self, t)
		self:rangedAttack(target, t)
	end,
	info = function(self, t)
		return "Shoots a gun."
	end,
}

newTalent{
	name = "Power Pool",
	type = {"generic", 1},
	info = "Allows you to have a power pool. Stamina is used as health and a power source .",
	mode = "passive",
	hide = true,
}