local Stats = require "engine.interface.ActorStats"

newEffect{
	name = "EXAUSTED",
	desc = "Exausted",
	long_desc = function(self, eff) return ("The target is exausted, preventing stamina regen."):format(eff.power) end,
	type = "physical",
	status = "detrimental",
	on_gain = function(self, err) return "#Target# is exausted!", "+Exausted" end,
	on_lose = function(self, err) return "#Target# finds second wind.", "-Exausted" end,
	parameters = { power=10 },
	activate = function(self, eff)
		eff.tmpid = self:addTemporaryValue("no_stamina_regen", 1)
	end,
	deactivate = function(self, eff)
		self:removeTemporaryValue("no_stamina_regen", eff.tmpid)
	end,

}

