load("/data/general/npcs/human.lua")

local Talents = require("engine.interface.ActorTalents")

newEntity{ base = "BASE_NPC_HUMAN",
	define_as = "ANDRA_KEADLE",
	name = "Andra Keadle", color=colors.VIOLET,
	desc = [[A tall woman, she has the willowy build characteristic of the spaceborn. Odd for a member of the EFS.]],
	level_range = {6, nil}, exp_worth = 1,
	combat_atk = 10, combat_def = 5,
	max_stamina = 150,
	max_life = 30,
	combat_armor = 5,
	combat = { dam=7 },
	stats = {dex = 14},
	resolvers.drops{chance=100, nb=1,{type = "data", subtype = "disk", defined="OLD_DISK"} },
	resolvers.equip{
			{type="weapon", subtype="gun", name="rifle", ego_chance=-1000},},
	resolvers.talents{
		[Talents.T_SHOOT]={base=1, every=1, max=1},
	},
}
